# API · List groups

> List groups: POST /api/v1/collect/get/groups.

- kind: api-operation
- status: stable
- api_version: v1
- last_verified: 2026-10-20
- url: https://tilopay.com/en/developers/api/cobros-tarjetas-guardadas/get-groups

```http
POST /api/v1/collect/get/groups
```

## What it does [#que-hace]

List groups.

## Authentication [#autenticacion]

Host: `https://app.tilopay.com`. Requires the API bearer token in `Authorization: Bearer <token>` and the integration key in the body (`key`).

[Get the API token](/en/developers/api/autenticacion/token-api).

## Parameters [#parametros]

<Param id="get-groups-parametro-key" name="key" type="string" required>
Integration key.
</Param>

## Request example [#ejemplo-request]

`<api_key>` is the placeholder for your integration key.

```json
{
  "key": "<api_key>"
}
```

## Response [#respuesta]

groups: amount is the group default amount, as text.

<Param id="get-groups-respuesta-status" name="status" type="unknown">
`status`.
</Param>

<Param id="get-groups-respuesta-errors" name="errors" type="unknown">
`errors`.
</Param>

<Param id="get-groups-respuesta-groups" name="groups" type="array">
`groups`.
</Param>

```json
{
  "status": 200,
  "errors": "",
  "groups": [
    {
      "id": 1,
      "name": "Grupo 1",
      "currency": "USD",
      "amount": "1000.00",
      "created_at": "2024-05-03T23:09:03.000000Z"
    },
    {
      "id": 5,
      "name": "Colones",
      "currency": "CRC",
      "amount": "10.00",
      "created_at": "2024-05-08T23:52:41.000000Z"
    }
  ]
}
```

```schema
{
  "type": "object",
  "properties": {
    "status": {
      "type": "integer"
    },
    "errors": {
      "type": "string"
    },
    "groups": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer"
          },
          "name": {
            "type": "string"
          },
          "currency": {
            "type": "string"
          },
          "amount": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          }
        }
      }
    }
  }
}
```
